<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\User;
use Auth;
use Mail;
use Session;
use Hash;

class AdminController extends Controller
{
    
    public function __construct(){

        $this->middleware('admin');

    }


    public function dashboard()
    {
        $admin = Auth::guard('admin')->user();
        $register_teachers_list =User::where(
                'status',0
            )->where(
                'user_type',2
            )->orderBy(
                'name','ASC'
            )->get();

        $active_teachers_list =User::where(
                'status',1
            )->where(
                'user_type',2
            )->orderBy(
                'name','ASC'
            )->get();
        
        $data =[
          'register_teachers_list'=>$register_teachers_list , 
          'active_teachers_list'=>$active_teachers_list  
        ];
        return view('admin.admin_profile',$data);
    }

    
}
